Get full metadata for one media asset by id, including its Meta upload hashes and dimensions.
curl --request POST \
--url https://app.adstellar.ai/api/v1/tools/lookup_asset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.adstellar.ai/api/v1/tools/lookup_asset"
payload = { "assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://app.adstellar.ai/api/v1/tools/lookup_asset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Get full metadata for one media asset by id, including its Meta upload hashes and dimensions.
Get full metadata for one media asset by id, including its Meta upload hashes and dimensions.
POST
/
tools
/
lookup_asset
Get full metadata for one media asset by id, including its Meta upload hashes and dimensions.
Authorizations
AdStellar API key (ast_live_...)
Body
application/json
The media asset id.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Tool result
⌘I